/*
 * Project: irond
 * Package: src.de.fhhannover.inform.iron.dhcp.service
 * File:    LeaseService.java
 *
 * Copyright (C) 2010 Fachhochschule Hannover
 * Ricklinger Stadtweg 118, 30459 Hannover, Germany 
 *
 * Licensed under the Apache License, Version 2.0 (the License);
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an AS IS BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package de.fhhannover.inform.iron.dhcp.service;

import java.util.ArrayList;

import de.fhhannover.inform.iron.dhcp.parsing.Lease;
import de.fhhannover.inform.iron.dhcp.parsing.Parser;

/**
 * Provides methods for accessing the leases
 * 
 * @author Tobias
 * 
 */
public class LeaseService {

	private Parser mParser;

	public LeaseService(Parser parser) {
		mParser = parser;
	}

	/**
	 * Parses a string and returns a list with leases 	
	 */
	public ArrayList<Lease> getLeases(String txt) {
		return mParser.parseString(txt);
	}
}